/*
 * cntlr_qos.h - QoS-related controller function definitions
 *
 * Copyright (C) 2023 IOPSYS Software Solutions AB. All rights reserved.
 *
 * Author: maxim.menshikov@iopsys.eu
 *
 */

#ifndef CNTLR_QOS_H
#define CNTLR_QOS_H

#if (EASYMESH_VERSION > 2)

#include "cntlr.h"

/**
 * Return QoS rule type as string.
 *
 * @param      type    The QoS rule type
 */
const char *cntlr_qos_type2str(enum qos_rule_type type);


/**
 * Synchronize QoS-related options to a node with given @p origin.
 *
 * @param      c       Controller data
 * @param      origin  The node hardware address
 */
void cntlr_qos_sync_node(struct controller *c,
                         uint8_t *origin);
#endif
#endif
